Orders
List orders for a customer
Retrieve a paginated list of orders for a specific customer. Supports cursor-based pagination, sorting, and status filtering.
--- Access Rules ---
- Admin: can view all orders for any customer within their company.
- Non-admin rep: can only view orders they placed (user_company_id match) or where they are the buyer rep (buyer_rep_id match).
- Customer (JWT auth): can only view their own orders.
GET
/
api
/
v202506
/
customers
/
{customer_id}
/
orders
List orders for a customer
curl --request GET \
--url https://api.fluid.app/api/v202506/customers/{customer_id}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v202506/customers/{customer_id}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v202506/customers/{customer_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"id": 730215,
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@dundermifflin.com",
"order_number": "DM-1042",
"status": "awaiting_shipment",
"source": "web",
"amount": "143.40",
"amount_in_base": "143.40",
"base_to_currency_rate": "1.0",
"note": null,
"currency_code": "USD",
"created_at": "2026-09-14T15:22:08.412Z",
"updated_at": "2026-09-14T15:24:51.093Z",
"token": "b7e2c9f4a1d84e6f9c3a5d7e8f0b1c2d",
"order_status": "processing",
"fulfillment_status": "unfulfilled",
"financial_status": "paid",
"warehouse_id": 3107,
"points_applied": 0,
"points_applied_amount": 0,
"points_applied_amount_in_currency": "$0.00",
"order_total_after_points_redemption": 143.4,
"total_points_credited": 143,
"free_shipping": false,
"discount_codes": [],
"created_subscriptions": [],
"currency_symbol": "$",
"items_count": 2,
"quantity_count": 3,
"external_id": null,
"sale_date": "2026-09-14T15:22:08.412Z",
"order_on_behalf_of": false,
"shipping_in_base": "9.99",
"tax_in_base": "8.44",
"subtotal_in_base": "124.97",
"enrollment_fee_in_base": "0.0",
"discount_in_base": "0.0",
"tax": "8.44",
"shipping": "9.99",
"total_display_amount": "$143.40",
"total_cv": "110.0",
"total_qv": "110.0",
"customer": {
"id": 48213,
"first_name": "Holly",
"last_name": "Flax",
"full_name": "Holly Flax",
"email": "holly.flax@dundermifflin.com",
"phone": "+15705550142",
"external_id": null
},
"items": [
{
"id": 1180442,
"title": "Dunder Mifflin 20lb Copy Paper",
"sku": "DM-20LB-CASE",
"quantity": 2,
"price": "54.99",
"total": "109.98",
"tax": "7.42",
"discount_amount": "0.0",
"cv": "50.0",
"qv": "50.0",
"paid_amount": "117.40",
"refundable_quantity": 2,
"cv_total": "100.0",
"qv_total": "100.0"
},
{
"id": 1180443,
"title": "Scranton Branch Mug",
"sku": "DM-MUG-SCR",
"quantity": 1,
"price": "14.99",
"total": "14.99",
"tax": "1.02",
"discount_amount": "0.0",
"cv": "10.0",
"qv": "10.0",
"paid_amount": "16.01",
"refundable_quantity": 1,
"cv_total": "10.0",
"qv_total": "10.0"
}
],
"current_adjustment_total": "0.0",
"current_subtotal": "124.97",
"current_discount": "0.0",
"current_tax": "8.44",
"current_shipping": "9.99",
"current_amount": "143.40",
"current_cv": "110.0",
"current_qv": "110.0",
"adjustments": []
}
],
"meta": {
"request_id": "4f1c2a9e-7b3d-4e8a-9c61-2d5f8a0b3e17",
"timestamp": "2026-09-15T14:32:08Z",
"pagination": {
"limit": 10,
"prev_cursor": null,
"next_cursor": "eyJpZCI6NzMwMjE1LCJjcmVhdGVkX2F0IjoiMjAyNi0wOS0xNFQxNToyMjowOFoifQ",
"total_count": 4
}
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Customer ID
Query Parameters
Cursor token for pagination (from prev_cursor or next_cursor in response)
Number of records per page (max 100)
Required range:
1 <= x <= 100Sort field. Prefix with - for descending order.
Available options:
created_at, -created_at, id, -id, order_status, -order_status, status, -status, amount, -amount Filter by order status. Use "all" to include all statuses.
Example:
"processing"
⌘I
List orders for a customer
